// file: ngrm_size_0.cc
//

// isip include files
//
#include "ngram.h"
#include "ngram_constants.h"

// method: size_cc
//
// arguments: none
//
// return: an int_4 with number of bytes used by this object
//
// this method counts the size of the current object in bytes
//
int_4 Ngram::size_cc() {
  
  // set the size variable
  //
  int_4 size = 0;

  // add the size of all numeric data
  //
  size += sizeof(int_4);                         // ngram_order_d
  size += sizeof(float_4);                       // lmscale_d
  size += sizeof(float_4);                       // wdpenalty_d
  size += sizeof(Ngram_list**);                  // ngram_lists_d
  
  // exit gracefully
  //
  return size;
}
